# Get

## Retrieve the current progress of your document

### Parameters:

| Name | Optional / Required | Data type | Description                       | Default |
| ---- | ------------------- | --------- | --------------------------------- | ------- |
| id   | required            | String    | One of your document progress ids |         |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;progress id&#x20;

Run request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/document/progress.json?id=XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$progressId = 'XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX';
$documentProgess = $yumpu->getDocumentProgress($progressId);
print_r($documentProgess);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
   id: 'XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX'
};
yumpu.getdocumentProgress(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"id=XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX-XXXXX"};
System.out.println(y.getDocumentProgress(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

Example 1:

```bash
{
  "document": {
    "state": "rendering_in_progress",
    "message": "Magazine in rendering queue",
    "imagecount": "84",
    "progress": 0,
    "images": 0
  },
  "state": "success"
}
```

Example 2:

```bash
{
  "document": [
    {
      "id": 55932706,
      "url": "https://www.yumpu.com/de/document/view/55932706/new-title",
      "short_url": "https://www.yumpu.com/s/Ok8tEcVRDCsfAod0",
      "image": {
        "small": "https://img.yumpu.com/55932706/1/115x163/new-title.jpg",
        "medium": "https://img.yumpu.com/55932706/1/452x640/new-title.jpg",
        "big": "https://img.yumpu.com/55932706/1/1129x1600/new-title.jpg"
      },
      "language": "de",
      "title": "new title",
      "description": "",
      "pages": 3,
      "width": 452,
      "height": 640,
      "category_id": 2,
      "tags": [
        "suchparameter",
        "liefert",
        "google",
        "webseiten",
        "suchbegriff",
        "mehreren",
        "angezeigt",
        "beschreibung",
        "nutzwert",
        "treffer",
        "www.lukasbals.at"
      ],
      "embed_code": "<iframe width=\"512px\" height=\"384px\" src=\"https://www.yumpu.com/de/embed/view/CsdA9tSUlmyVvbNO\" frameborder=\"0\" allowfullscreen=\"true\" allowtransparency=\"true\"></iframe>"
    }
  ],
  "state": "success",
  "completed_in": 0.0715
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.yumpu.com/api/document-progress/documentprogressget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
